Page MenuHomePhabricator

CategorySelector should be renamed CategoryMultiselectWidget
Closed, ResolvedPublic

Description

All widgets in OOUI and Mediawiki have the Widget suffix, and the ones that use the multiselect widget have the Multiselect suffix. CategorySelector should thus be CategoryMultiselectWidget.

Event Timeline

Prtksxna created this task.Mar 24 2017, 6:54 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2017, 6:54 AM

Change 344588 had a related patch set uploaded (by Prtksxna):
[mediawiki/core@master] Rename CategorySelector to CategorySelectorWidget

https://gerrit.wikimedia.org/r/344588

Change 344592 had a related patch set uploaded (by Prtksxna):
[mediawiki/core@master] ForeignStructuredUpload.BookletLayout: Use CategorySelectorWidget

https://gerrit.wikimedia.org/r/344592

Change 344593 had a related patch set uploaded (by Prtksxna):
[mediawiki/extensions/UploadWizard@master] Use CategorySelectorWidget instead of CategorySelector

https://gerrit.wikimedia.org/r/344593

Those three patches should cover it. I don't think its being used anywhere else.

Prtksxna renamed this task from CategorySelector should be renamed CategorySelectorWidget to CategorySelector should be renamed CategoryMultiselectWidget.Mar 28 2017, 8:12 AM
Prtksxna updated the task description. (Show Details)

Change 344588 merged by jenkins-bot:
[mediawiki/core@master] Rename CategorySelector to CategoryMultiselectWidget

https://gerrit.wikimedia.org/r/344588

Change 344592 merged by jenkins-bot:
[mediawiki/core@master] ForeignStructuredUpload.BookletLayout: Use CategoryMultiselectWidget

https://gerrit.wikimedia.org/r/344592

Change 344593 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Use CategoryMultiselectWidget instead of CategorySelector

https://gerrit.wikimedia.org/r/344593

@matmarex I don't think there are any other instances of CategorySelector that need to be replaced. Even so, till what time should we keep the deprecated class and RL module?

Prtksxna removed a project: Patch-For-Review.

We actually have a shiny new policy at https://www.mediawiki.org/wiki/Deprecation that says "at least one major MediaWiki version". So we should wait for MW 1.29 to be released with the deprecation, and then we can remove it to land in MW 1.30. But this isn't a big burden to support, so I don't think there's any hurry. :)

matmarex closed this task as Resolved.Mar 29 2017, 7:47 PM

Change 424976 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/core@master] [BREAKING CHANGE] Remove mw.widgets.CategorySelector

https://gerrit.wikimedia.org/r/424976

Change 424976 merged by jenkins-bot:
[mediawiki/core@master] [BREAKING CHANGE] Remove mw.widgets.CategorySelector

https://gerrit.wikimedia.org/r/424976